net.sf.saxon.trans

## Class LicenseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.saxon.trans.LicenseException

- All Implemented Interfaces:
    Serializable

      public class LicenseException
      extends RuntimeException

  Exception thrown when there are problems with the license file
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CANNOT_READ`
    `static int` | `EXPIRED`
    `static int` | `INVALID`
    `static int` | `NOT_FOUND`
    `static int` | `WRONG_CONFIGURATION`
    `static int` | `WRONG_FEATURES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicenseException(String message, int reason)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReason()`
    `void` | `setReason(int reason)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EXPIRED

          public static final int EXPIRED

      See Also:
        Constant Field Values

    - #### INVALID

          public static final int INVALID

      See Also:
        Constant Field Values

    - #### NOT_FOUND

          public static final int NOT_FOUND

      See Also:
        Constant Field Values

    - #### WRONG_FEATURES

          public static final int WRONG_FEATURES

      See Also:
        Constant Field Values

    - #### CANNOT_READ

          public static final int CANNOT_READ

      See Also:
        Constant Field Values

    - #### WRONG_CONFIGURATION

          public static final int WRONG_CONFIGURATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LicenseException

          public LicenseException(String message,
                          int reason)

  - ### Method Detail

    - #### setReason

          public void setReason(int reason)

    - #### getReason

          public int getReason()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.